%global framework krunner

Summary: KDE Frameworks 5 Tier 3 solution with parallelized query system
Name:    kf5-%{framework}
Version: 5.110.0
%global majmin %majmin_ver_kf5
%global stable %stable_kf5
Release: 1%{?dist}
License: LGPLv2+ and BSD
URL:     https://invent.kde.org/frameworks/%{framework}
Source0: http://download.kde.org/%{stable}/frameworks/%{majmin}/%{framework}-%{version}.tar.xz
BuildRequires:  extra-cmake-modules >= %{majmin}
BuildRequires:  kf5-rpm-macros, kf5-kactivities-devel >= %{majmin}, kf5-kconfig-devel >= %{majmin}
BuildRequires:  kf5-kcoreaddons-devel >= %{majmin}, kf5-ki18n-devel >= %{majmin}, kf5-kio-devel >= %{majmin}
BuildRequires:  kf5-kservice-devel >= %{majmin}, kf5-plasma-devel >= %{majmin}, kf5-solid-devel >= %{majmin}
BuildRequires:  kf5-threadweaver-devel >= %{majmin}
BuildRequires:  qt5-qtbase-devel, qt5-qtdeclarative-devel

%global __provides_exclude_from ^%{_kf5_qmldir}/.*\\.so$

%description
KRunner provides a parallelized query system extendable via plugins.

%package        devel
Summary:        Development files for %{name}
Conflicts:      kapptemplate < 16.03.80
Requires:       %{name} = %{version}-%{release}
Requires:       kf5-plasma-devel >= %{majmin}
Requires:       qt5-qtbase-devel

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%autosetup -n %{framework}-%{version} -p1

%build
%cmake_kf5

%cmake_build

%install
%cmake_install

%files
%license LICENSES/*.txt
%doc README.md
%{_kf5_libdir}/libKF5Runner.so.*
%{_kf5_qmldir}/org/kde/runnermodel/
%{_kf5_datadir}/kservicetypes5/plasma-runner.desktop
%{_kf5_datadir}/qlogging-categories5/%{framework}*

%files devel
%{_kf5_includedir}/KRunner/
%{_kf5_libdir}/libKF5Runner.so
%{_kf5_libdir}/cmake/KF5Runner/
%{_kf5_archdatadir}/mkspecs/modules/qt_KRunner.pri
%{_kf5_datadir}/kdevappwizard/templates/*.tar.bz2
%{_kf5_datadir}/dbus-1/interfaces/*


%changelog
* Sat Nov 25 2023 Chair <chairou@tencent.com> - 5.110.0-1
- Init
